Subject: Re: [PATCH] hashmap.h: fix minor typo

From: Emily Shaffer <[email-masked]>
Date: Thu, 30 Mar 2023 08:51:44 -0700

On Thu, Mar 30, 2023 at 03:28:03PM +0000, Siddharth Singh via GitGitGadget wrote:
> 
> 
> The word "no" should be "not".
> 
> Signed-off-by: Siddharth Singh <[email-masked]>
> ---
>     hashmap.h: fix minor typo
>     
>     Hi folks ! I'm Siddharth from Google, I'm working on libification of
>     Git, while going through the hashmap.h I found a minor typo in the
>     documentation comment.
> 
> Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-1506%2Fs-i-d-d-i-s%2Ffix-typo-in-hashmap.h-v1
> Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-1506/s-i-d-d-i-s/fix-typo-in-hashmap.h-v1
> Pull-Request: https://github.com/gitgitgadget/git/pull/1506
> 
> Hi folks ! I'm Siddharth from Google, I'm working on
> libification of Git, while going through the hashmap.h
> I found a minor typo in the documentation comment.

Hi Siddharth!

The reason that your description showed up twice is because you included
it both in the GitGitGadget description[1] and the commit message[2]. As
you can see, either way works to get it into the patch description, but
if you use both it will be printed twice :) It's not a big deal as this
is part of the description and won't be part of the commit history, but
in case you want to avoid it in the future, now you know.

Of course the diff looks good to me - nice catch with the typo fix.

I'll also add for the rest of the list that git-core @ Google team
encouraged Siddharth to send this patch even though it's minor enough
that the list would often it churn, because it's Siddharth's first patch
to Git (of hopefully many) and it seemed like a good chance for him to
practice the workflow as well as introduce himself :)

Thanks for sending it, Siddharth.

Reviewed-by: Emily Shaffer <[email-masked]>

> ---
>  hashmap.h | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/hashmap.h b/hashmap.h
> index 7251687d730..e2cf9c78d84 100644
> --- a/hashmap.h
> +++ b/hashmap.h
> @@ -270,7 +270,7 @@ void hashmap_clear_(struct hashmap *map, ssize_t offset);
>  #define hashmap_clear(map) hashmap_clear_(map, -1)
>  
>  /*
> - * Similar to hashmap_clear(), except that the table is no deallocated; it
> + * Similar to hashmap_clear(), except that the table is not deallocated; it
>   * is merely zeroed out but left the same size as before.  If the hashmap
>   * will be reused, this avoids the overhead of deallocating and
>   * reallocating map->table.  As with hashmap_clear(), you may need to free
> 
> base-commit: 8d90352acc5c855620042fdcc6092f23a276af6d
> -- 
> gitgitgadget

1: https://github.com/gitgitgadget/git/pull/1506#issue-1647302362
2: https://github.com/gitgitgadget/git/pull/1506/commits/a657138270f422ff43ac835884961c3dba1fe507